org.apache.ignite.spi.discovery

## Interface DiscoverySpiListener

    public interface DiscoverySpiListener

Listener for grid node discovery events. See `DiscoverySpi` for information on how grid nodes get discovered.

### Method Summary

All Methods Instance Methods Abstract Methods
`IgniteFuture<?>` `onDiscovery(DiscoveryNotification notification)` Notification for grid node discovery events.
`void` `onLocalNodeInitialized(ClusterNode locNode)` Notification of local node initialization.

### Method Detail

#### onLocalNodeInitialized

    void onLocalNodeInitialized(ClusterNode locNode)

Notification of local node initialization. At the time this method is called, it is guaranteed that local node consistent ID is available, but the discovery process is not started yet. This method should not block for a long time since it blocks discovery.

Parameters:
  `locNode` - Initialized local node.

#### onDiscovery

    IgniteFuture<?> onDiscovery(DiscoveryNotification notification)

Notification for grid node discovery events.

Parameters:
  `notification` - Discovery notification object.
Returns:
  A future that will be completed when notification process has finished.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022